Subject: bug#32676: [PATCH] Add option to highlight the 'next-error' error message

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Sep 2020 03:40:30 -0700

Hi Ernesto,

Thanks for following up on this.

Ernesto Alfonso <[email-masked]> writes:

> I currently work for Google, and my understanding is that Google has a
> special agreement with the FSF. Please let me know if this is correct
> or if I still need to provide a copyright assignment.

Someone else will have to answer this.

> Also, I am not sure if this patch is still applicable.

In what way?  From reading the discussion, it seems like the feature was
considered useful, but there were some additional comments before it was
ready.  I copied in those comments below.  Could you have a look at
them?

Thanks in advance.

Juri Linkov <[email-masked]> writes:

>> I'd like to know if this patch is still being considered?
>
> Why not?  Your patch provides a helpful feature.  I see only 2 problems
> with its latest version:
>
> 1. compilation-current-error should be generalized not to be too
>    compilation-specific;
>
> 2. next-error-hook should not be used for core features,
>    you could call next-error-message-highlight directly
>    from next-error-found.
>
> PS: maybe a better name for defcustom would be next-error-message-highlight,
>     not next-error-message-highlight-p, to be more future-proof,
>     for the case when someone might want to add more choices later
>     (e.g. fringe, timers, etc.)

Best regards,
Stefan Kangas